<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GStreamer libav 1.0 Plugins Reference Manual: gstav</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="GStreamer libav 1.0 Plugins Reference Manual">
<link rel="up" href="ch01.html" title="gst-libav Base and Support classes">
<link rel="prev" href="ch01.html" title="gst-libav Base and Support classes">
<link rel="next" href="gst-libav-plugins-GstFFMpegAudDec.html" title="GstFFMpegAudDec">
<meta name="generator" content="GTK-Doc V1.20 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="10"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description"> <span class="dim">|</span> 
                  <a href="#gst-libav-plugins-gstav.description" class="shortcut">Description</a></span><span id="nav_hierarchy"> <span class="dim">|</span> 
                  <a href="#gst-libav-plugins-gstav.object-hierarchy" class="shortcut">Object Hierarchy</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="ch01.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="ch01.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="gst-libav-plugins-GstFFMpegAudDec.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="gst-libav-plugins-gstav"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="gst-libav-plugins-gstav.top_of_page"></a>gstav</span></h2>
<p>gstav</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="gst-libav-plugins-gstav.functions"></a><h2>Functions</h2>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstav.html#gst-ffmpegdemux-register" title="gst_ffmpegdemux_register ()">gst_ffmpegdemux_register</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstav.html#gst-ffmpegauddec-register" title="gst_ffmpegauddec_register ()">gst_ffmpegauddec_register</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstav.html#gst-ffmpegviddec-register" title="gst_ffmpegviddec_register ()">gst_ffmpegviddec_register</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstav.html#gst-ffmpegaudenc-register" title="gst_ffmpegaudenc_register ()">gst_ffmpegaudenc_register</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstav.html#gst-ffmpegvidenc-register" title="gst_ffmpegvidenc_register ()">gst_ffmpegvidenc_register</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstav.html#gst-ffmpegmux-register" title="gst_ffmpegmux_register ()">gst_ffmpegmux_register</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstav.html#gst-ffmpegscale-register" title="gst_ffmpegscale_register ()">gst_ffmpegscale_register</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstav.html#gst-ffmpegaudioresample-register" title="gst_ffmpegaudioresample_register ()">gst_ffmpegaudioresample_register</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstav.html#gst-ffmpegdeinterlace-register" title="gst_ffmpegdeinterlace_register ()">gst_ffmpegdeinterlace_register</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">int</span>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstav.html#gst-ffmpeg-avcodec-open" title="gst_ffmpeg_avcodec_open ()">gst_ffmpeg_avcodec_open</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">int</span>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstav.html#gst-ffmpeg-avcodec-close" title="gst_ffmpeg_avcodec_close ()">gst_ffmpeg_avcodec_close</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">int</span>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstav.html#gst-ffmpeg-av-find-stream-info" title="gst_ffmpeg_av_find_stream_info ()">gst_ffmpeg_av_find_stream_info</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="gst-libav-plugins-gstav.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody>
<tr>
<td class="define_keyword">#define</td>
<td class="function_name"><a class="link" href="gst-libav-plugins-gstav.html#GST-CAT-DEFAULT:CAPS" title="GST_CAT_DEFAULT">GST_CAT_DEFAULT</a></td>
</tr>
<tr>
<td class="define_keyword">#define</td>
<td class="function_name"><a class="link" href="gst-libav-plugins-gstav.html#GST-FFMPEG-URL-STREAMHEADER:CAPS" title="GST_FFMPEG_URL_STREAMHEADER">GST_FFMPEG_URL_STREAMHEADER</a></td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="gst-libav-plugins-gstav.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">
</pre>
</div>
<div class="refsect1">
<a name="gst-libav-plugins-gstav.description"></a><h2>Description</h2>
<p>
</p>
</div>
<div class="refsect1">
<a name="gst-libav-plugins-gstav.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gst-ffmpegdemux-register"></a><h3>gst_ffmpegdemux_register ()</h3>
<pre class="programlisting"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
gst_ffmpegdemux_register (<em class="parameter"><code><a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstPlugin.html"><span class="type">GstPlugin</span></a> *plugin</code></em>);</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.2.7.2.5"></a><h4>Returns</h4>
<p></p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpegauddec-register"></a><h3>gst_ffmpegauddec_register ()</h3>
<pre class="programlisting"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
gst_ffmpegauddec_register (<em class="parameter"><code><a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstPlugin.html"><span class="type">GstPlugin</span></a> *plugin</code></em>);</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.2.7.3.5"></a><h4>Returns</h4>
<p></p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpegviddec-register"></a><h3>gst_ffmpegviddec_register ()</h3>
<pre class="programlisting"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
gst_ffmpegviddec_register (<em class="parameter"><code><a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstPlugin.html"><span class="type">GstPlugin</span></a> *plugin</code></em>);</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.2.7.4.5"></a><h4>Returns</h4>
<p></p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpegaudenc-register"></a><h3>gst_ffmpegaudenc_register ()</h3>
<pre class="programlisting"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
gst_ffmpegaudenc_register (<em class="parameter"><code><a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstPlugin.html"><span class="type">GstPlugin</span></a> *plugin</code></em>);</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.2.7.5.5"></a><h4>Returns</h4>
<p></p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpegvidenc-register"></a><h3>gst_ffmpegvidenc_register ()</h3>
<pre class="programlisting"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
gst_ffmpegvidenc_register (<em class="parameter"><code><a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstPlugin.html"><span class="type">GstPlugin</span></a> *plugin</code></em>);</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.2.7.6.5"></a><h4>Returns</h4>
<p></p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpegmux-register"></a><h3>gst_ffmpegmux_register ()</h3>
<pre class="programlisting"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
gst_ffmpegmux_register (<em class="parameter"><code><a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstPlugin.html"><span class="type">GstPlugin</span></a> *plugin</code></em>);</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.2.7.7.5"></a><h4>Returns</h4>
<p></p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpegscale-register"></a><h3>gst_ffmpegscale_register ()</h3>
<pre class="programlisting"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
gst_ffmpegscale_register (<em class="parameter"><code><a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstPlugin.html"><span class="type">GstPlugin</span></a> *plugin</code></em>);</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.2.7.8.5"></a><h4>Returns</h4>
<p></p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpegaudioresample-register"></a><h3>gst_ffmpegaudioresample_register ()</h3>
<pre class="programlisting"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
gst_ffmpegaudioresample_register (<em class="parameter"><code><a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstPlugin.html"><span class="type">GstPlugin</span></a> *plugin</code></em>);</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.2.7.9.5"></a><h4>Returns</h4>
<p></p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpegdeinterlace-register"></a><h3>gst_ffmpegdeinterlace_register ()</h3>
<pre class="programlisting"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
gst_ffmpegdeinterlace_register (<em class="parameter"><code><a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstPlugin.html"><span class="type">GstPlugin</span></a> *plugin</code></em>);</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.2.7.10.5"></a><h4>Returns</h4>
<p></p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpeg-avcodec-open"></a><h3>gst_ffmpeg_avcodec_open ()</h3>
<pre class="programlisting"><span class="returnvalue">int</span>
gst_ffmpeg_avcodec_open (<em class="parameter"><code><span class="type">AVCodecContext</span> *avctx</code></em>,
                         <em class="parameter"><code><span class="type">AVCodec</span> *codec</code></em>);</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.2.7.11.5"></a><h4>Returns</h4>
<p></p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpeg-avcodec-close"></a><h3>gst_ffmpeg_avcodec_close ()</h3>
<pre class="programlisting"><span class="returnvalue">int</span>
gst_ffmpeg_avcodec_close (<em class="parameter"><code><span class="type">AVCodecContext</span> *avctx</code></em>);</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.2.7.12.5"></a><h4>Returns</h4>
<p></p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpeg-av-find-stream-info"></a><h3>gst_ffmpeg_av_find_stream_info ()</h3>
<pre class="programlisting"><span class="returnvalue">int</span>
gst_ffmpeg_av_find_stream_info (<em class="parameter"><code><span class="type">AVFormatContext</span> *ic</code></em>);</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.2.7.13.5"></a><h4>Returns</h4>
<p></p>
</div>
</div>
</div>
<div class="refsect1">
<a name="gst-libav-plugins-gstav.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GST-CAT-DEFAULT:CAPS"></a><h3>GST_CAT_DEFAULT</h3>
<pre class="programlisting">#define GST_CAT_DEFAULT ffmpeg_debug
</pre>
<p>
</p>
</div>
<hr>
<div class="refsect2">
<a name="GST-FFMPEG-URL-STREAMHEADER:CAPS"></a><h3>GST_FFMPEG_URL_STREAMHEADER</h3>
<pre class="programlisting">#define GST_FFMPEG_URL_STREAMHEADER 16
</pre>
<p>
</p>
</div>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.20</div>
</body>
</html>